package com.dsk.system.domain.customer.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 客户跟进记录列表
 *
 * @author makejava
 * @since 2023-05-18 15:07:59
 */
@Data
public class CustomerFollowRecordListVo implements Serializable {
    private static final long serialVersionUID = -17639570424991398L;


    private Long id;
    /**
     * 客户id
     */
    private String customerId;
    /**
     * 客户名称
     */
    private String companyName;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 用户昵称
     */
    private String nickName;
    /**
     * 拜访方式（visit_mode_type）
     */
    private String visitMode;
    /**
     * 下次拜访时间
     */
    private Date nextVisitTime;
    /**
     * 拜访对象姓名
     */
    private String name;
    /**
     * 拜访对象职务
     */
    private String position;
    /**
     * 拜访内容
     */
    private String content;

    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


}
